# Here resides the library of general KDevelop-related utilities,
# which may be linked by any plugin or part. This is installed
# as a shared library, including header files

INCLUDES = $(all_includes)

lib_LTLIBRARIES = libtdevelop.la
libtdevelop_la_LDFLAGS = -no-undefined $(all_libraries) -version-info 1:0
libtdevelop_la_LIBADD = $(top_builddir)/lib/interfaces/libkdevinterfaces.la \
	$(top_builddir)/lib/widgets/propeditor/libkdevpropertyeditor.la $(LIB_TDEIO)

#	$(top_builddir)/lib/util/libkdevutil.la $(top_builddir)/lib/widgets/propeditor/libkdevpropertyeditor.la \
#	$(top_builddir)/lib/interfaces/external/libkinterfacedesigner.la $(top_builddir)/lib/interfaces/extensions/libkdevextensions.la \
#	-ltdetexteditor $(LIB_TDEPARTS) $(LIB_TDEIO)  -ltdescript
libtdevelop_la_SOURCES = dummy.cpp



SUBDIRS = util interfaces widgets antlr catalog \
	cppparser astyle 

DOXYGEN_EMPTY = YES
include ../Doxyfile.am
